Subject: bug#45817: Acknowledgement (28.0.50; Native fails)

From: "Kirill A. Korinsky" <[email-masked]>
Date: Tue, 12 Jan 2021 20:35:51 +0100

Hey,

The right path is /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib

How can I add -L option to spcify path? :)

--
wbr, Kirill

> On 12. Jan 2021, at 19:44, Andrea Corallo <[email-masked]> wrote:
> 
> "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <[email-masked]> writes:
> 
>> I found a bit more logs:
>> 
>> ld: library not found for -lSystem
>> collect2: error: ld returned 1 exit status
>> libgccjit.so: error: error invoking gcc driver
>> 
>> Looks like the right fix is something like this:
>> https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/dyld-interposing.h.auto.html
>> 
>> For example an issue that looks very similar with this one at Haskell: https://gitlab.haskell.org/ghc/ghc/-/issues/18446
> 
> Hi Kirill,
> 
> this looks like a system miss configuration.
> 
> By the way I don't recall anything changed in this respect so if it
> worked in the past I guess something changed on your sys configuration.
> 
> Perhaps you've upgraded your OS?
> 
> Do you knwon where (and if) this library is on your system?
> 
>  Andrea